gtkthemes.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Smiley Theme API. More...

Go to the source code of this file.

## Data Structures

struct | smiley_list
struct | smiley_theme

## Functions

void | pidgin_themes_init (void)
gboolean | pidgin_themes_smileys_disabled (void)
void | pidgin_themes_smiley_themeize (GtkWidget *)
void | pidgin_themes_smiley_themeize_custom (GtkWidget *)
void | pidgin_themes_smiley_theme_probe (void)
void | pidgin_themes_load_smiley_theme (const char *file, gboolean load)
void | pidgin_themes_remove_smiley_theme (const char *file)
GSList * | pidgin_themes_get_proto_smileys (const char *id)

## Variables

struct smiley_theme * | current_smiley_theme
GSList * | smiley_themes

## Detailed Description

GTK+ Smiley Theme API.

Definition in file gtkthemes.h.

## Function Documentation

## pidgin_themes_remove_smiley_theme()

void pidgin_themes_remove_smiley_theme | ( | const char * | file | ) |

Since
  2.1.0

## pidgin_themes_smiley_themeize_custom()

void pidgin_themes_smiley_themeize_custom | ( | GtkWidget * |  | ) |

Since
  2.5.0